Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class Contact

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.addressbook.Contact

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExchangeContact

public class Contact
extends AbstractItem
implements java.io.Serializable

This class represents a contact.

See Also:
  Serialized Form

Constructor Summary
`Contact()` Constructor.
`Contact(java.lang.String sID)` Constructor.

Method Summary
`AddressInfo` | `getAddressInfo(AddressInfo.AddressType addressType)` Gets the address info of a contact by address type.
`AddressInfo[]` | `getAddressInfoArray()` Gets the list of addresses and their types associated with this contact.
`java.lang.String` | `getAssistantName()` Gets the assistant name for the contact.
`java.lang.String` | `getAssistantPhone()` Gets the assistant phone number for the contact
`java.util.Date` | `getBirthday()` Gets the birthday of the contact.
`java.lang.String` | `getBirthdayString(java.util.Locale locale)` Gets the birthday localized string.
`java.lang.String` | `getBusinessHomePage()` Gets the business home page for the contact.
`java.lang.String` | `getBusinessMobilePhone()` Gets the business mobile phone number for the contact
`java.lang.String` | `getBusinessPhone()` Gets the business phone number for the contact
`java.lang.String` | `getChildrenNames()` Gets the children names for the contact.
`java.lang.String` | `getCommentHtml()` Gets the comment text in HTML format.
`java.lang.String` | `getComments()` Gets the comments about the contact.
`java.lang.String` | `getCompanyName()` Gets the company name of the contact.
`java.lang.String` | `getDepartment()` Gets the department of the contact.
`java.lang.String` | `getDisplayName()` Gets the display name for the contact.
`java.lang.String` | `getEmail1()` Gets the email1 for the contact
`java.lang.String` | `getEmail2()` Gets the email2 for the contact
`EmailInfo` | `getEmailInfo(EmailInfo.EmailType emailType)` Gets the email address of the contact by type.
`EmailInfo[]` | `getEmailInfoArray()` Gets the email info for the contact.
`java.lang.String` | `getFirstName()` Gets the first name for the contact.
`java.lang.String` | `getFullName()` Gets the full name for the contact.
`java.lang.String` | `getHomeAddress(java.util.Locale locale)` Gets the home address for the contact
`java.lang.String` | `getHomePhone()` Gets the home phone number for the contact
`java.lang.String` | `getJobTitle()` Gets the job title of the contact.
`java.lang.String` | `getLastName()` Gets the last name for the contact.
`java.lang.String` | `getLocation()` Gets the location of the contact.
`java.lang.String` | `getManagerName()` Gets the manager name for the contact.
`java.lang.String` | `getMiddleName()` Gets the middle name for the contact.
`java.lang.String` | `getMobilePhone()` Gets the mobile phone number for the contact
`java.lang.String` | `getNameSuffix()` Gets the name suffix (generation) for the contact.
`java.lang.String` | `getNickname()` Gets the nickname for the contact.
`java.lang.String` | `getPagerPhone()` Gets the pager phone number for the contact
`PhoneInfo` | `getPhoneInfo(PhoneInfo.PhoneType phoneType)` Gets the phone info by the phone type for a contact.
`PhoneInfo[]` | `getPhoneInfoArray()` Gets the list of phone numbers and their types associated with this contact.
`java.lang.String` | `getPrimeEmailAddress()` Gets the prime email address for the contact
`java.lang.String` | `getSpouseName()` Gets the spouse name for the contact.
`java.lang.String` | `getTitle()` Gets the name title (Mr, Miss, etc) for the contact.
`java.lang.String` | `getYahooImAddress()` Gets the yahoo IM address.
`boolean` | `isAddressInfo(AddressInfo addressInfo)` Checks if any information for the given address is set for the contact.
`boolean` | `isAnyBusinessInfo()` Checks if any of the business information is set for the contact.
`boolean` | `isAnyPersonalInfo()` Checks if any of the personal information is set for the contact.
`boolean` | `isAnyPhoneInfo()` Checks if any of the phone numbers are set for the contact.
`boolean` | `isEmailInfo(EmailInfo emailInfo)` Checks if any information for the email address is set for the contact.
`void` | `setAddressInfo(AddressInfo addressInfo)` Sets the address info of a contact by the address info.
`void` | `setAddressInfo(java.lang.String sAddressLine1, java.lang.String sAddressLine2, java.lang.String sCity, java.lang.String sState, java.lang.String sCountry, java.lang.String sPostalCode, AddressInfo.AddressType addressType)` Sets the address info of a contact by the address type.
`void` | `setAddressInfoArray(AddressInfo[] addressInfoArray)` Sets the list of addresses and their types for this contact.
`void` | `setAssistantName(java.lang.String sAssistantName)` Sets the assistant name for the contact.
`void` | `setBirthday(java.util.Date birthday)` Sets the birthday for the contact.
`void` | `setBusinessHomePage(java.lang.String sBusinessHomePage)` Sets the business home page for the contact.
`void` | `setChildrenNames(java.lang.String childrenNames)` Sets the chilren names for the contact.
`void` | `setComments(java.lang.String sComments)` Sets the comments about the contact.
`void` | `setCompanyName(java.lang.String sCompanyName)` Sets the company name for the contact.
`void` | `setDepartment(java.lang.String sDepartment)` Sets the department of the contact.
`void` | `setDisplayName(java.lang.String sDisplayName)` Sets the display name for the contact.
`void` | `setEmailInfo(java.lang.String sEmail, EmailInfo.EmailType emailType)` Sets the email address for the contact by type.
`void` | `setEmailInfo(java.lang.String sEmail, java.lang.String sEmailDisplay, EmailInfo.EmailType emailType)` Sets the email address for the contact by type.
`void` | `setEmailInfoArray(EmailInfo[] emailInfo)` Sets the email info for the contact.
`void` | `setFirstName(java.lang.String sFirstName)` Sets the first name for the contact.
`void` | `setJobTitle(java.lang.String sJobTitle)` Sets the job title of the contact.
`void` | `setLastName(java.lang.String sLastName)` Sets the last name for the contact.
`void` | `setLocation(java.lang.String sLocation)` Sets the location of the contact.
`void` | `setManagerName(java.lang.String sManagerName)` Sets the manager name for the contact.
`void` | `setMiddleName(java.lang.String sMiddleName)` Sets the middle name for the contact.
`void` | `setNameSuffix(java.lang.String sNameSuffix)` Sets the name suffix (generation) for the contact.
`void` | `setNickname(java.lang.String sNickname)` Sets the nickname for the contact.
`void` | `setPhoneInfo(java.lang.String sPhoneNumber, PhoneInfo.PhoneType phoneType)` Sets the phone info for the contact.
`void` | `setPhoneInfoArray(PhoneInfo[] phoneInfoArray)` Sets the list of phone numbers and their types for this contact.
`void` | `setSpouseName(java.lang.String sSpouseName)` Sets the spouse name for the contact.
`void` | `setTitle(java.lang.String sTitle)` Sets the title for the contact.
`void` | `setYahooImAddress(java.lang.String sYahooImAddress)` Sets the yahoo IM address.

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contact

    public Contact()

  Constructor.

### Contact

    public Contact(java.lang.String sID)

  Constructor.

Parameters:
  `sID` - the contact id

Method Detail

### getBirthdayString

    public java.lang.String getBirthdayString(java.util.Locale locale)

  Gets the birthday localized string.

  Parameters:
    `locale` - the locale (may not be `null`)
  Returns:
    the birthday localized string or an empty string if not set

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name for the contact.

  Returns:
    the display name

### setDisplayName

    public void setDisplayName(java.lang.String sDisplayName)

  Sets the display name for the contact.

  Parameters:
    `sDisplayName` - the display name

### getLastName

    public java.lang.String getLastName()

  Gets the last name for the contact.

  Returns:
    the last name

### setLastName

    public void setLastName(java.lang.String sLastName)

  Sets the last name for the contact.

  Parameters:
    `sLastName` - the last name

### getFirstName

    public java.lang.String getFirstName()

  Gets the first name for the contact.

  Returns:
    the first name

### setFirstName

    public void setFirstName(java.lang.String sFirstName)

  Sets the first name for the contact.

  Parameters:
    `sFirstName` - the first name

### getMiddleName

    public java.lang.String getMiddleName()

  Gets the middle name for the contact.

  Returns:
    the middle name

### setMiddleName

    public void setMiddleName(java.lang.String sMiddleName)

  Sets the middle name for the contact.

  Parameters:
    `sMiddleName` - the middle name

### getTitle

    public java.lang.String getTitle()

  Gets the name title (Mr, Miss, etc) for the contact.

  Returns:
    the title

### setTitle

    public void setTitle(java.lang.String sTitle)

  Sets the title for the contact.

  Parameters:
    `sTitle` - the title

### getYahooImAddress

    public java.lang.String getYahooImAddress()

  Gets the yahoo IM address.

  Returns:
    the yahoo IM address

### setYahooImAddress

    public void setYahooImAddress(java.lang.String sYahooImAddress)

  Sets the yahoo IM address.

  Parameters:
    `sYahooImAddress` - the yahoo IM address

### getNameSuffix

    public java.lang.String getNameSuffix()

  Gets the name suffix (generation) for the contact.

  Returns:
    the suffix

### setNameSuffix

    public void setNameSuffix(java.lang.String sNameSuffix)

  Sets the name suffix (generation) for the contact.

### getNickname

    public java.lang.String getNickname()

  Gets the nickname for the contact.

  Returns:
    the nickname

### setNickname

    public void setNickname(java.lang.String sNickname)

  Sets the nickname for the contact.

  Parameters:
    `sNickname` - the nickmname

### getSpouseName

    public java.lang.String getSpouseName()

  Gets the spouse name for the contact.

  Returns:
    the spouse name

### setSpouseName

    public void setSpouseName(java.lang.String sSpouseName)

  Sets the spouse name for the contact.

  Parameters:
    `sSpouseName` - the spouse name

### getBirthday

    public java.util.Date getBirthday()

  Gets the birthday of the contact.

  Returns:
    the birthday or `null` for none

### setBirthday

    public void setBirthday(java.util.Date birthday)

  Sets the birthday for the contact.

  Parameters:
    `birthday` - the birthday

### getManagerName

    public java.lang.String getManagerName()

  Gets the manager name for the contact.

  Returns:
    the manager name

### setManagerName

    public void setManagerName(java.lang.String sManagerName)

  Sets the manager name for the contact.

  Parameters:
    `sManagerName` - the manager name

### getAssistantName

    public java.lang.String getAssistantName()

  Gets the assistant name for the contact.

  Returns:
    the assistant name

### setAssistantName

    public void setAssistantName(java.lang.String sAssistantName)

  Sets the assistant name for the contact.

  Parameters:
    `sAssistantName` - the assistant name

### getComments

    public java.lang.String getComments()

  Gets the comments about the contact.

  Returns:
    the comments

### setComments

    public void setComments(java.lang.String sComments)

  Sets the comments about the contact.

  Parameters:
    `sComments` - the comments

### getCommentHtml

    public java.lang.String getCommentHtml()

  Gets the comment text in HTML format.

  Returns:
    the comment text in HTML format

### getDepartment

    public java.lang.String getDepartment()

  Gets the department of the contact.

  Returns:
    the department

### setDepartment

    public void setDepartment(java.lang.String sDepartment)

  Sets the department of the contact.

  Parameters:
    `sDepartment` - the department

### getJobTitle

    public java.lang.String getJobTitle()

  Gets the job title of the contact.

  Returns:
    the job title

### setJobTitle

    public void setJobTitle(java.lang.String sJobTitle)

  Sets the job title of the contact.

  Parameters:
    `sJobTitle` - the job title

### getCompanyName

    public java.lang.String getCompanyName()

  Gets the company name of the contact.

  Returns:
    the company name

### setCompanyName

    public void setCompanyName(java.lang.String sCompanyName)

  Sets the company name for the contact.

  Parameters:
    `sCompanyName` - the company name

### setPhoneInfo

    public void setPhoneInfo(java.lang.String sPhoneNumber,
                             PhoneInfo.PhoneType phoneType)

  Sets the phone info for the contact.

  Parameters:
    `sPhoneNumber` - the phone number
    `phoneType` - the phone type

### getPhoneInfo

    public PhoneInfo getPhoneInfo(PhoneInfo.PhoneType phoneType)

  Gets the phone info by the phone type for a contact.

  Parameters:
    `phoneType` - the phone type
  Returns:
    the phone info or `null` if not found

### getPhoneInfoArray

    public PhoneInfo[] getPhoneInfoArray()

  Gets the list of phone numbers and their types associated with this contact.

  Returns:
    the phone info or an empty array for none

### setPhoneInfoArray

    public void setPhoneInfoArray(PhoneInfo[] phoneInfoArray)

  Sets the list of phone numbers and their types for this contact.

  Parameters:
    `phoneInfoArray` - the phone info array (may not be `null`)

### getAddressInfoArray

    public AddressInfo[] getAddressInfoArray()

  Gets the list of addresses and their types associated with this contact.

  Returns:
    the address info or an empty array for none

### setAddressInfoArray

    public void setAddressInfoArray(AddressInfo[] addressInfoArray)

  Sets the list of addresses and their types for this contact.

  Parameters:
    `addressInfoArray` - the address info array (may not be `null`)

### getLocation

    public java.lang.String getLocation()

  Gets the location of the contact.

  Returns:
    the location

### setLocation

    public void setLocation(java.lang.String sLocation)

  Sets the location of the contact.

  Parameters:
    `sLocation` - the location

### getBusinessHomePage

    public java.lang.String getBusinessHomePage()

  Gets the business home page for the contact.

  Returns:
    the business home page

### setBusinessHomePage

    public void setBusinessHomePage(java.lang.String sBusinessHomePage)

  Sets the business home page for the contact.

  Parameters:
    `sBusinessHomePage` - the business home page

### getChildrenNames

    public java.lang.String getChildrenNames()

  Gets the children names for the contact.

  Returns:
    the children names

### setChildrenNames

    public void setChildrenNames(java.lang.String childrenNames)

  Sets the chilren names for the contact.

  Parameters:
    `childrenNames` - the children names

### getEmailInfoArray

    public EmailInfo[] getEmailInfoArray()

  Gets the email info for the contact.

  Returns:
    the email info or an empty array for none

### setEmailInfoArray

    public void setEmailInfoArray(EmailInfo[] emailInfo)

  Sets the email info for the contact.

  Parameters:
    `emailInfo` - the email info (may not be `null`)

### setEmailInfo

    public void setEmailInfo(java.lang.String sEmail,
                             EmailInfo.EmailType emailType)

  Sets the email address for the contact by type.

  Parameters:
    `sEmail` - the email address
    `emailType` - the email type (may not be `null`)

### setEmailInfo

    public void setEmailInfo(java.lang.String sEmail,
                             java.lang.String sEmailDisplay,
                             EmailInfo.EmailType emailType)

  Sets the email address for the contact by type.

  Parameters:
    `sEmail` - the email address
    `sEmailDisplay` - the email display
    `emailType` - the email type (may not be `null`)

### getEmailInfo

    public EmailInfo getEmailInfo(EmailInfo.EmailType emailType)

  Gets the email address of the contact by type.

  Parameters:
    `emailType` - the email type
  Returns:
    the email info or `null` for none

### setAddressInfo

    public void setAddressInfo(java.lang.String sAddressLine1,
                               java.lang.String sAddressLine2,
                               java.lang.String sCity,
                               java.lang.String sState,
                               java.lang.String sCountry,
                               java.lang.String sPostalCode,
                               AddressInfo.AddressType addressType)

  Sets the address info of a contact by the address type.

  Parameters:
    `sAddressLine1` - the address line 1 (street)
    `sAddressLine2` - the address line 2 (apt. number etc.)
    `sCity` - the city
    `sState` - the state
    `sCountry` - the country
    `sPostalCode` - the postal code
    `addressType` - the address type (may not be `null`)

### setAddressInfo

    public void setAddressInfo(AddressInfo addressInfo)

  Sets the address info of a contact by the address info.

  Parameters:
    `addressInfo` - the address info (may not be `null`)

### getAddressInfo

    public AddressInfo getAddressInfo(AddressInfo.AddressType addressType)

  Gets the address info of a contact by address type.

  Parameters:
    `addressType` - the address type
  Returns:
    the address info or `null` for none

### isAnyPhoneInfo

    public boolean isAnyPhoneInfo()

  Checks if any of the phone numbers are set for the contact.

  Returns:
    `true` if any of the phone numbers is not or empty or `false` otherwise

### isAddressInfo

    public boolean isAddressInfo(AddressInfo addressInfo)

  Checks if any information for the given address is set for the contact.

  Returns:
    `true` if any of the address information is not or `empty` or `false` otherwise

### isEmailInfo

    public boolean isEmailInfo(EmailInfo emailInfo)

  Checks if any information for the email address is set for the contact.

  Returns:
    `true` if any of the email information is not or `empty` or `false` otherwise

### isAnyBusinessInfo

    public boolean isAnyBusinessInfo()

  Checks if any of the business information is set for the contact.

  Returns:
    `true` if any of the business information is not or empty or `false` otherwise

### isAnyPersonalInfo

    public boolean isAnyPersonalInfo()

  Checks if any of the personal information is set for the contact.

  Returns:
    `true` if any of the personal information is not or empty or `false` otherwise

### getFullName

    public java.lang.String getFullName()

  Gets the full name for the contact.

  Returns:
    the full name

### getPrimeEmailAddress

    public java.lang.String getPrimeEmailAddress()

  Gets the prime email address for the contact

  Returns:
    the prime email address

### getBusinessPhone

    public java.lang.String getBusinessPhone()

  Gets the business phone number for the contact

  Returns:
    the business phone number

### getHomePhone

    public java.lang.String getHomePhone()

  Gets the home phone number for the contact

  Returns:
    the home phone numbe

### getMobilePhone

    public java.lang.String getMobilePhone()

  Gets the mobile phone number for the contact

  Returns:
    the mobile phone numbe

### getPagerPhone

    public java.lang.String getPagerPhone()

  Gets the pager phone number for the contact

  Returns:
    the pager phone numbe

### getAssistantPhone

    public java.lang.String getAssistantPhone()

  Gets the assistant phone number for the contact

  Returns:
    the assistant phone numbe

### getHomeAddress

    public java.lang.String getHomeAddress(java.util.Locale locale)

  Gets the home address for the contact

  Returns:
    the home address

### getEmail1

    public java.lang.String getEmail1()

  Gets the email1 for the contact

  Returns:
    the email1

### getEmail2

    public java.lang.String getEmail2()

  Gets the email2 for the contact

  Returns:
    the email2

### getBusinessMobilePhone

    public java.lang.String getBusinessMobilePhone()

  Gets the business mobile phone number for the contact

  Returns:
    the business mobile phone numbe

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.